Debian Bug report logs - #618288
apt doesn't honor multiarch version requirements when configuring

version graph

Package: apt; Maintainer for apt is APT Development Team <deity@lists.debian.org>; Source for apt is src:apt.

Reported by: Steve Langasek <vorlon@debian.org>

Date: Mon, 14 Mar 2011 02:18:01 UTC

Severity: important

Found in version apt/0.8.12

Fixed in versions apt/0.8.15~exp1, apt/0.8.15

Done: Michael Vogt <mvo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#618288; Package apt. (Mon, 14 Mar 2011 02:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
New Bug report received and forwarded. Copy sent to APT Development Team <deity@lists.debian.org>. (Mon, 14 Mar 2011 02:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: submit@bugs.debian.org
Subject: apt doesn't honor multiarch version requirements when configuring
Date: Sun, 13 Mar 2011 19:15:27 -0700
[Message part 1 (text/plain, inline)]
Package: apt
Version: 0.8.12
Severity: important
User: vorlon@debian.org
Usertags: multiarch

Hi again :)

I've noticed what looks like a mismatch between apt's and dpkg's idea of
when a package is configurable, that results in apt asking dpkg to configure
a multi-arch: same package that isn't ready yet, and then bombing out.

$ sudo apt-get dist-upgrade
Reading package lists... Done   
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  debconf libgssapi-krb5-2 libgssapi-krb5-2:i386 libk5crypto3
  libk5crypto3:i386 libkrb5-3 libkrb5-3:i386 libkrb5support0
  libkrb5support0:i386 util-linux
The following packages will be upgraded:
  cpp-4.5 g++-4.5 gcc-4.5 gcc-4.5-base gcc-4.5-base:i386 libgcc1 libgcc1:i386
  libgomp1 libgomp1:i386 libstdc++6 libstdc++6:i386 libstdc++6-4.5-dev
12 upgraded, 0 newly installed, 0 to remove and 10 not upgraded.
Need to get 19.5 MB of archives.
After this operation, 4096 B of additional disk space will be used.
Do you want to continue [Y/n]?  
[...]
Fetched 19.5 MB in 16s (1150 kB/s)
(Reading database ... 23635 files and directories currently installed.)
Preparing to replace libgomp1 4.5.2-5ubuntu3+multiarch.1 (using .../libgomp1_4.5.2-6ubuntu1+multiarch.1_amd64.deb) ...
De-configuring libgomp1:i386 ...
Unpacking replacement libgomp1 ...
Preparing to replace libgomp1:i386 4.5.2-5ubuntu3+multiarch.1 (using .../libgomp1_4.5.2-6ubuntu1+multiarch.1_i386.deb) ...
Unpacking replacement libgomp1:i386 ...
Preparing to replace gcc-4.5-base:i386 4.5.2-5ubuntu3+multiarch.1 (using .../gcc-4.5-base_4.5.2-6ubuntu1+multiarch.1_i386.deb) ...
De-configuring gcc-4.5-base ... 
Unpacking replacement gcc-4.5-base:i386 ...
Preparing to replace gcc-4.5-base 4.5.2-5ubuntu3+multiarch.1 (using .../gcc-4.5-base_4.5.2-6ubuntu1+multiarch.1_amd64.deb) ...
Unpacking replacement gcc-4.5-base ...
Setting up gcc-4.5-base (4.5.2-6ubuntu1+multiarch.1) ...
(Reading database ... 23635 files and directories currently installed.)
Preparing to replace libstdc++6 4.5.2-5ubuntu3+multiarch.1 (using .../libstdc++6_4.5.2-6ubuntu1+multiarch.1_amd64.deb) ...
De-configuring libstdc++6:i386 ...
Unpacking replacement libstdc++6 ...
dpkg: error processing libstdc++6 (--configure):
 libstdc++6:amd64 4.5.2-6ubuntu1+multiarch.1 cannot be configured because libstdc++6:i386 is in a different version (4.5.2-5ubuntu3+multiarch.1)
Errors were encountered while processing:
 libstdc++6
E: Sub-process /usr/bin/dpkg returned an error code (1)
$

This is something apt needs to understand, and avoid trying to configure the
package before it's upgraded for all architectures.


-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#618288; Package apt. (Mon, 14 Mar 2011 11:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Kalnischkies <kalnischkies+debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Mon, 14 Mar 2011 11:15:09 GMT) Full text and rfc822 format available.

Message #10 received at 618288@bugs.debian.org (full text, mbox):

From: David Kalnischkies <kalnischkies+debian@gmail.com>
To: Steve Langasek <vorlon@debian.org>, 618288@bugs.debian.org
Subject: Re: Bug#618288: apt doesn't honor multiarch version requirements when configuring
Date: Mon, 14 Mar 2011 12:10:35 +0100
[Message part 1 (text/plain, inline)]
(sorry, no time to look closely at it currently)

On Mon, Mar 14, 2011 at 03:15, Steve Langasek <vorlon@debian.org> wrote:
> I've noticed what looks like a mismatch between apt's and dpkg's idea of
> when a package is configurable, that results in apt asking dpkg to configure
> a multi-arch: same package that isn't ready yet, and then bombing out.

I fear its related to immediate configuration:
Could you try with -o APT::Immediate-Configure=0 ?

And, how tries APT to call dpkg exactly? (with/without immediate)
-o Debug::pkgDPkgPM=1


Attached is a small testcase for this you can drop in test/integration/ and
run it. It should install a same package and tries to dist-upgrade then
(in a temp directory of course).

The output of the simulations (i have no multiarch-dpkg handy currently)
seems to be fine as long as libsame isn't essential (i know, not allowed
for a library in real world, but its the easiest way to get the immediate flag).


But thinking about it, APT enables auto-deconfiguration:
> De-configuring libstdc++6:i386 ...
> Unpacking replacement libstdc++6 ...
> dpkg: error processing libstdc++6 (--configure):
>  libstdc++6:amd64 4.5.2-6ubuntu1+multiarch.1 cannot be configured because libstdc++6:i386 is in a different version (4.5.2-5ubuntu3+multiarch.1)

Looks for me like libstdc++6:i386 is deconfigured, so the (implicit) Breaks
in libstdc++6:amd64 is satisfied and it should be configurable as the
configuration would only be forbidden if libstdc++6:i386 would still be
configured - but it is deconfigured currently -, doesn't it?


Best regards

David Kalnischkies
[test-multiarch-same (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#618288; Package apt. (Tue, 15 Mar 2011 03:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Tue, 15 Mar 2011 03:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 618288@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: David Kalnischkies <kalnischkies+debian@gmail.com>
Cc: 618288@bugs.debian.org
Subject: Re: Bug#618288: apt doesn't honor multiarch version requirements when configuring
Date: Mon, 14 Mar 2011 20:49:04 -0700
[Message part 1 (text/plain, inline)]
On Mon, Mar 14, 2011 at 12:10:35PM +0100, David Kalnischkies wrote:
> (sorry, no time to look closely at it currently)

Don't worry :)

> On Mon, Mar 14, 2011 at 03:15, Steve Langasek <vorlon@debian.org> wrote:
> > I've noticed what looks like a mismatch between apt's and dpkg's idea of
> > when a package is configurable, that results in apt asking dpkg to configure
> > a multi-arch: same package that isn't ready yet, and then bombing out.

> I fear its related to immediate configuration:
> Could you try with -o APT::Immediate-Configure=0 ?

> And, how tries APT to call dpkg exactly? (with/without immediate)
> -o Debug::pkgDPkgPM=1

Yes, I agree that this is probably caused by immediate configuration. 
Unfortunately I can't easily rerun this to reproduce the problem, because I
encountered this in my active chroot which is now up to date.  There are
only a small number of Multi-Arch: same packages in the world with which I
can test currently. :-)  But I'll try your test case and see what happens.

> Attached is a small testcase for this you can drop in test/integration/ and
> run it. It should install a same package and tries to dist-upgrade then
> (in a temp directory of course).

> The output of the simulations (i have no multiarch-dpkg handy currently)
> seems to be fine as long as libsame isn't essential (i know, not allowed
> for a library in real world, but its the easiest way to get the immediate
> flag).

For a multiarch dpkg, please see dpkg 1.16.0~ubuntu4 in Ubuntu natty.

> But thinking about it, APT enables auto-deconfiguration:
> > De-configuring libstdc++6:i386 ...
> > Unpacking replacement libstdc++6 ...
> > dpkg: error processing libstdc++6 (--configure):
> >  libstdc++6:amd64 4.5.2-6ubuntu1+multiarch.1 cannot be configured because libstdc++6:i386 is in a different version (4.5.2-5ubuntu3+multiarch.1)

> Looks for me like libstdc++6:i386 is deconfigured, so the (implicit) Breaks
> in libstdc++6:amd64 is satisfied and it should be configurable as the
> configuration would only be forbidden if libstdc++6:i386 would still be
> configured - but it is deconfigured currently -, doesn't it?

So I think the problem arises from this requirement of the multiarch spec:

  Implementing this involves an implicit Replaces: ${self}:other (<<
  ${binary:Version}) in all multiarch packages.  In addition, multiarch
  packages are required to be kept in lockstep; i.e., an implicit Breaks:
  ${self}:other (!= ${binary:Version}).  If more than one architecture of a
  package is present on the system, this will prevent either package from
  being configured unless they are all at the same version.

<https://wiki.ubuntu.com/MultiarchSpec#Architecture-independent%20files%20in%20multiarch%20packages>

Note that this is bidirectional, by design: both the old and new packages
Break the other, which means, per policy 7.3, dpkg "will refuse to
allow the broken package to be reconfigured."  So only when all the copies
of the library are updated to the same version can we again configure any of
them.

This protects us against the fact that, when upgrading *or* downgrading a
package, the implicit Replaces: between Multi-Arch: same packages mean that
the most recently unpacked package will have overwritten files belonging to
the packages of the other architectures, and there is no way for dpkg to
know with certainty which of these was unpacked most recently.  So it's only
safe to declare the package "installed" again once the package is in sync
across all architectures.

I guess this part might be missing from the apt implementation, so apt
doesn't know that libc6 is actually broken until libc6:i386 is also
unpacked?

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#618288; Package apt. (Tue, 15 Mar 2011 06:21:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Tue, 15 Mar 2011 06:21:16 GMT) Full text and rfc822 format available.

Message #20 received at 618288@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: David Kalnischkies <kalnischkies+debian@gmail.com>
Cc: 618288@bugs.debian.org
Subject: Re: Bug#618288: apt doesn't honor multiarch version requirements when configuring
Date: Mon, 14 Mar 2011 23:19:45 -0700
[Message part 1 (text/plain, inline)]
On Mon, Mar 14, 2011 at 08:49:04PM -0700, Steve Langasek wrote:
> > I fear its related to immediate configuration:
> > Could you try with -o APT::Immediate-Configure=0 ?

> > And, how tries APT to call dpkg exactly? (with/without immediate)
> > -o Debug::pkgDPkgPM=1

> Yes, I agree that this is probably caused by immediate configuration. 
> Unfortunately I can't easily rerun this to reproduce the problem, because I
> encountered this in my active chroot which is now up to date.  There are
> only a small number of Multi-Arch: same packages in the world with which I
> can test currently. :-)  But I'll try your test case and see what happens.

Here's the test case output.  Probably not what you were looking for. :)

$ ./test-multiarch-same 
Reading package lists...
Building dependency tree...
Selected version '1' (stable [amd64]) for 'libsame'
Selected version '1' (stable [i386]) for 'libsame:i386'
The following NEW packages will be installed:
  libsame libsame:i386
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/2452 B of archives.
After this operation, 90.1 kB of additional disk space will be used.
Selecting previously deselected package libsame.
(Reading database ... 0 files and directories currently installed.)
Unpacking libsame (from .../pool/libsame_1_amd64.deb) ...
Selecting previously deselected package libsame:i386.
Unpacking libsame:i386 (from .../pool/libsame_1_i386.deb) ...
dpkg: error processing /tmp/tmp.Sa4KGCgH5t/aptarchive/pool/libsame_1_i386.deb (--unpack):
 './usr/share/doc/libsame/changelog' is different from the same file on the system
Errors were encountered while processing:
 /tmp/tmp.Sa4KGCgH5t/aptarchive/pool/libsame_1_i386.deb
E: Sub-process fakeroot returned an error code (1)
$

I guess the test framework needs some updates to be usable with multiarch. 
Well, let's try plugging in $(date -R -d '12:00').

Now I get this:

$ ./test-multiarch-same 
Reading package lists...
Building dependency tree...
Selected version '1' (stable [amd64]) for 'libsame'
Selected version '1' (stable [i386]) for 'libsame:i386'
The following NEW packages will be installed:
  libsame libsame:i386
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/2446 B of archives.
After this operation, 90.1 kB of additional disk space will be used.
Selecting previously deselected package libsame.
(Reading database ... 0 files and directories currently installed.)
Unpacking libsame (from .../pool/libsame_1_amd64.deb) ...
Selecting previously deselected package libsame:i386.
Unpacking libsame:i386 (from .../pool/libsame_1_i386.deb) ...
(Noting disappearance of libsame, which has been completely replaced.)
dpkg: error: --configure needs at least one package name argument

Type dpkg --help for help about installing and deinstalling packages [*];
Use `dselect' or `aptitude' for user-friendly package management;
Type dpkg -Dhelp for a list of dpkg debug flag values;
Type dpkg --force-help for a list of forcing options;
Type dpkg-deb --help for help about manipulating *.deb files;

Options marked [*] produce a lot of output - pipe it through `less' or `more' !
E: Sub-process fakeroot returned an error code (2)
$

multi-arch: same package with no arch-dependent contents, so it gets
disappeared, heh.

Sorry, that's as far as I can go with this at the moment.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 10 Jun 2011 20:09:15 GMT) Full text and rfc822 format available.

Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Sat, 11 Jun 2011 09:07:49 GMT) Full text and rfc822 format available.

Notification sent to Steve Langasek <vorlon@debian.org>:
Bug acknowledged by developer. (Sat, 11 Jun 2011 09:07:54 GMT) Full text and rfc822 format available.

Message #27 received at 618288-close@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: 618288-close@bugs.debian.org
Subject: Bug#618288: fixed in apt 0.8.15~exp1
Date: Sat, 11 Jun 2011 09:02:20 +0000
Source: apt
Source-Version: 0.8.15~exp1

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

apt-doc_0.8.15~exp1_all.deb
  to main/a/apt/apt-doc_0.8.15~exp1_all.deb
apt-transport-https_0.8.15~exp1_i386.deb
  to main/a/apt/apt-transport-https_0.8.15~exp1_i386.deb
apt-utils_0.8.15~exp1_i386.deb
  to main/a/apt/apt-utils_0.8.15~exp1_i386.deb
apt_0.8.15~exp1.dsc
  to main/a/apt/apt_0.8.15~exp1.dsc
apt_0.8.15~exp1.tar.gz
  to main/a/apt/apt_0.8.15~exp1.tar.gz
apt_0.8.15~exp1_i386.deb
  to main/a/apt/apt_0.8.15~exp1_i386.deb
libapt-inst1.2_0.8.15~exp1_i386.deb
  to main/a/apt/libapt-inst1.2_0.8.15~exp1_i386.deb
libapt-pkg-dev_0.8.15~exp1_i386.deb
  to main/a/apt/libapt-pkg-dev_0.8.15~exp1_i386.deb
libapt-pkg-doc_0.8.15~exp1_all.deb
  to main/a/apt/libapt-pkg-doc_0.8.15~exp1_all.deb
libapt-pkg4.10_0.8.15~exp1_i386.deb
  to main/a/apt/libapt-pkg4.10_0.8.15~exp1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 618288@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Vogt <mvo@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 10 Jun 2011 15:32:07 +0200
Source: apt
Binary: apt libapt-pkg4.10 libapt-inst1.2 apt-doc libapt-pkg-dev libapt-pkg-doc apt-utils apt-transport-https
Architecture: source all i386
Version: 0.8.15~exp1
Distribution: experimental
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Michael Vogt <mvo@debian.org>
Description: 
 apt        - Advanced front-end for dpkg
 apt-doc    - Documentation for APT
 apt-transport-https - APT https transport
 apt-utils  - APT utility programs
 libapt-inst1.2 - Install library for apt
 libapt-pkg-dev - Development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - Documentation for APT development
 libapt-pkg4.10 - Library for apt
Closes: 150831 582791 602412 618288 622744 622805 623137 623171 624218 626505 627642 627834 629949
Changes: 
 apt (0.8.15~exp1) experimental; urgency=low
 .
   [ Julian Andres Klode ]
   * apt-pkg/depcache.cc:
     - Really release action groups only once (Closes: #622744)
     - Make purge work again for config-files (LP: #244598) (Closes: #150831)
   * apt-pkg/acquire-item.cc:
     - Reject files known to be invalid (LP: #346386) (Closes: #627642)
   * debian/apt.cron.daily:
     - Check power after wait, patch by manuel-soto (LP: #705269)
   * debian/control:
     - Move ${shlibs:Depends} to Pre-Depends, as we do not want APT
       unpacked if a library is too old and thus break upgrades
   * doc/apt-key.8.xml:
     - Document apt-key net-update (LP: #192810)
 .
   [ Christian Perrier ]
   * Galician translation update (Miguel Anxo Bouzada). Closes: #626505
   * Italian translation update (Milo Casagrande). Closes: #627834
   * German documentation translation update (Chris Leick). Closes: #629949
 .
   [ David Kalnischkies ]
   * fix a bunch of cppcheck warnings/errors based on a patch by
     Niels Thykier, thanks! (Closes: #622805)
   * apt-pkg/depcache.cc:
     - really include 'rc' packages in the delete count by fixing a
       typo which exists since 1999 in the source… (LP: #761175)
     - if critical or-group can't be satisfied, exit directly.
   * apt-pkg/acquire-method.cc:
     - write directly to stdout instead of creating the message in
       memory first before writing to avoid hitting limits
     - fix order of CurrentURI and UsedMirror in Status() and Log()
   * apt-pkg/orderlist.cc:
     - let VisitRProvides report if the calls were successful
   * apt-pkg/deb/dpkgpm.cc:
     - replace obsolete usleep with nanosleep
   * debian/apt{,-utils}.symbols:
     - update both experimental symbol-files to reflect 0.8.14 state
   * debian/rules:
     - remove unused embedded jquery by doxygen from libapt-pkg-doc
   * cmdline/apt-mark.cc:
     - reimplement apt-mark in c++
     - provide a 'showmanual' command (Closes: #582791)
     - provide a 'dpkg --set-selections' wrapper to set/release holds
   * cmdline/apt-get.cc:
     - deprecate mostly undocumented 'markauto' in favor of 'apt-mark'
   * cmdline/apt-cache.cc:
     - deprecate mostly undocumented 'showauto' in favor of 'apt-mark'
   * apt-pkg/pkgcache.cc:
     - really ignore :arch in FindPkg() in non-multiarch environment
   * doc/po/de.po:
     - undo the translation of the command 'dump' in manpage of apt-config
       as report by Burghard Grossmann on debian-l10n-german, thanks!
   * apt-pkg/deb/debmetaindex.cc:
     - do not download TranslationIndex if no Translation-* will be
       downloaded later on anyway (Closes: #624218)
   * test/versions.lst:
     - disable obscure version number tests with versions dpkg doesn't
       allow any more as they don't start with a number
   * apt-pkg/acquire-worker.cc:
     - print filename in the unmatching size warning (Closes: #623137)
   * apt-pkg/acquire-item.cc:
     - apply fix for poorly worded 'locate file' error message from
       Ben Finney, thanks! (Closes: #623171)
   * methods/http.cc:
     - add config option to ignore a closed stdin to be able to easily
       use the method as a simple standalone downloader
     - Location header in redirects should be absolute URI, but some
       servers just send an absolute path so still deal with it properly
     - dequote URL taken from Location in redirects as we will otherwise
       quote an already quoted string in the request later (Closes: #602412)
   * apt-pkg/contrib/netrc.cc:
     - replace non-posix gnu-extension strdupa with strdup
   * apt-pkg/packagemanager.cc:
     - ensure for Multi-Arch:same packages that they are unpacked in
       lock step even in immediate configuration (Closes: #618288)
 .
   [ Michael Vogt ]
   * methods/mirror.cc:
     - ignore lines starting with "#" in the mirror file
     - ignore non http urls in the mirrors
     - append the dist (e.g. sid, wheezy) as a query string when
       asking for a suitable mirror
   * debian/control:
     - add libapt-pkg4.10 and libapt-inst1.2 library packages
Checksums-Sha1: 
 082acc267ade3a23d20d6cfbd6f5857cffb44ce4 1402 apt_0.8.15~exp1.dsc
 c3c59aeaefb77151bdde347301dec2c864a6bd27 3413395 apt_0.8.15~exp1.tar.gz
 e44a4597faa5885cae6b0e8a22384c119b76d6d3 236944 apt-doc_0.8.15~exp1_all.deb
 11296db2a49ff11b1a6bf87a54fb938178808d95 734820 libapt-pkg-doc_0.8.15~exp1_all.deb
 605bc1162962571b98bf3ced8b461894a8c4598f 974524 libapt-pkg4.10_0.8.15~exp1_i386.deb
 bdff1d21e8f40f2842c4a1c712a66b3d4f8e7d7e 177078 libapt-inst1.2_0.8.15~exp1_i386.deb
 f48d780c80424bdbd716db258e117a3b509fc8a8 1119920 apt_0.8.15~exp1_i386.deb
 c9d8e51a9d615e23e08e16bd67b8d31c1d47ba09 158592 libapt-pkg-dev_0.8.15~exp1_i386.deb
 39279d5fdb5dc216a3cfe39a85358b58a4c18f6b 255558 apt-utils_0.8.15~exp1_i386.deb
 7dfa29acd903e46795935034bc166f7ab2117590 89130 apt-transport-https_0.8.15~exp1_i386.deb
Checksums-Sha256: 
 a497b3bf463e937abccbfb7aeb86b93be0ca8fe75b49df2fcde4c5b3cdb21591 1402 apt_0.8.15~exp1.dsc
 f64f4234760d44d37eb38fd648926cb0061452def855fbaae2fdaefbda324353 3413395 apt_0.8.15~exp1.tar.gz
 987fa1bdc4c52c378f40cc7f5bcc1da9b927ce5d6e17ec8fb740c20209c87464 236944 apt-doc_0.8.15~exp1_all.deb
 1555f74bf463a7b38454e352f7d3212ffed8691171729998a2ecf10ce9d293e4 734820 libapt-pkg-doc_0.8.15~exp1_all.deb
 e701da2263059d51c21ec48314dfe60dfef05c8fa93e7ac47e585651d2f79d57 974524 libapt-pkg4.10_0.8.15~exp1_i386.deb
 576fcaa8cb866d7f23b1dd95c95b073177d714108a9173ae8218b4db845db52e 177078 libapt-inst1.2_0.8.15~exp1_i386.deb
 982c2845e04e027f03b095ea2ad8afdcdb6376dc332f3da6f4a1f402c33c3ee6 1119920 apt_0.8.15~exp1_i386.deb
 a2adab3f64acb653026fbea0d49e7e71ecd22de0cd763ad91493533888b5cae1 158592 libapt-pkg-dev_0.8.15~exp1_i386.deb
 6b61fce772b51ea9f9cae5286643781a719660f45ab0c380865f922197769e01 255558 apt-utils_0.8.15~exp1_i386.deb
 00dad18de121b0661f65ec5b6c50257951cc3dd656cd7fef34fa807c27c54cca 89130 apt-transport-https_0.8.15~exp1_i386.deb
Files: 
 b80cef733407c6325e3cb02d12b08a18 1402 admin important apt_0.8.15~exp1.dsc
 83ac290bedb65b6a8ac327c0fc111439 3413395 admin important apt_0.8.15~exp1.tar.gz
 17b3d541ba26b8fca0b25af6f9ccd156 236944 doc optional apt-doc_0.8.15~exp1_all.deb
 df40c54abe7b533f47fbaf3261cbe399 734820 doc optional libapt-pkg-doc_0.8.15~exp1_all.deb
 17f060ea230fac30a85724ee0c30fda7 974524 admin important libapt-pkg4.10_0.8.15~exp1_i386.deb
 2e68755b1881ffd27e8170124279db50 177078 admin important libapt-inst1.2_0.8.15~exp1_i386.deb
 b19f611c21d464983bdf7b2f82fbf67a 1119920 admin important apt_0.8.15~exp1_i386.deb
 0940f52a56ae104785499e01a62d8adf 158592 libdevel optional libapt-pkg-dev_0.8.15~exp1_i386.deb
 74f5ce188c744aef744a08f9f9fd1ace 255558 admin important apt-utils_0.8.15~exp1_i386.deb
 ad56523c5b123c51c29ea188290daf44 89130 admin optional apt-transport-https_0.8.15~exp1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3yH0kACgkQliSD4VZixzQ2ogCZAQ+5mMPCFgluMFQoYEe15nTv
bJUAoJV5WxHOsDislGGnTadxIj8qp8Yb
=dHAd
-----END PGP SIGNATURE-----





Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Tue, 28 Jun 2011 17:03:14 GMT) Full text and rfc822 format available.

Notification sent to Steve Langasek <vorlon@debian.org>:
Bug acknowledged by developer. (Tue, 28 Jun 2011 17:03:14 GMT) Full text and rfc822 format available.

Message #32 received at 618288-close@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: 618288-close@bugs.debian.org
Subject: Bug#618288: fixed in apt 0.8.15
Date: Tue, 28 Jun 2011 17:02:18 +0000
Source: apt
Source-Version: 0.8.15

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

apt-doc_0.8.15_all.deb
  to main/a/apt/apt-doc_0.8.15_all.deb
apt-transport-https_0.8.15_amd64.deb
  to main/a/apt/apt-transport-https_0.8.15_amd64.deb
apt-utils_0.8.15_amd64.deb
  to main/a/apt/apt-utils_0.8.15_amd64.deb
apt_0.8.15.dsc
  to main/a/apt/apt_0.8.15.dsc
apt_0.8.15.tar.gz
  to main/a/apt/apt_0.8.15.tar.gz
apt_0.8.15_amd64.deb
  to main/a/apt/apt_0.8.15_amd64.deb
libapt-pkg-dev_0.8.15_amd64.deb
  to main/a/apt/libapt-pkg-dev_0.8.15_amd64.deb
libapt-pkg-doc_0.8.15_all.deb
  to main/a/apt/libapt-pkg-doc_0.8.15_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 618288@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Vogt <mvo@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 28 Jun 2011 18:00:48 +0200
Source: apt
Binary: apt apt-doc libapt-pkg-dev libapt-pkg-doc apt-utils apt-transport-https
Architecture: source all amd64
Version: 0.8.15
Distribution: unstable
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Michael Vogt <mvo@debian.org>
Description: 
 apt        - Advanced front-end for dpkg
 apt-doc    - Documentation for APT
 apt-transport-https - APT https transport
 apt-utils  - APT utility programs
 libapt-pkg-dev - Development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - Documentation for APT development
Closes: 150831 582791 602412 618288 622744 622805 623137 623171 624218 626505 626739 627642 627834 629949 630657
Changes: 
 apt (0.8.15) unstable; urgency=low
 .
   [ Julian Andres Klode ]
   * apt-pkg/depcache.cc:
     - Really release action groups only once (Closes: #622744)
     - Make purge work again for config-files (LP: #244598) (Closes: #150831)
   * apt-pkg/acquire-item.cc:
     - Reject files known to be invalid (LP: #346386) (Closes: #627642)
   * debian/apt.cron.daily:
     - Check power after wait, patch by manuel-soto (LP: #705269)
   * debian/control:
     - Move ${shlibs:Depends} to Pre-Depends, as we do not want APT
       unpacked if a library is too old and thus break upgrades
   * doc/apt-key.8.xml:
     - Document apt-key net-update (LP: #192810)
 .
   [ Christian Perrier ]
   * Galician translation update (Miguel Anxo Bouzada). Closes: #626505
   * Italian translation update (Milo Casagrande). Closes: #627834
   * German documentation translation update (Chris Leick). Closes: #629949
   * Catalan translation update (Jordi Mallach). Closes: #630657
 .
   [ David Kalnischkies ]
   * fix a bunch of cppcheck warnings/errors based on a patch by
     Niels Thykier, thanks! (Closes: #622805)
   * apt-pkg/depcache.cc:
     - really include 'rc' packages in the delete count by fixing a
       typo which exists since 1999 in the source… (LP: #761175)
     - if critical or-group can't be satisfied, exit directly.
   * apt-pkg/acquire-method.cc:
     - write directly to stdout instead of creating the message in
       memory first before writing to avoid hitting limits
     - fix order of CurrentURI and UsedMirror in Status() and Log()
   * apt-pkg/orderlist.cc:
     - let VisitRProvides report if the calls were successful
   * apt-pkg/deb/dpkgpm.cc:
     - replace obsolete usleep with nanosleep
     - remove invalid pkgcache.bin and rebuild it if possible
     - log reinstall commands in history.log
   * debian/apt{,-utils}.symbols:
     - update both experimental symbol-files to reflect 0.8.14 state
   * debian/rules:
     - remove unused embedded jquery by doxygen from libapt-pkg-doc
   * cmdline/apt-mark.cc:
     - reimplement apt-mark in c++
     - provide a 'showmanual' command (Closes: #582791)
     - provide a 'dpkg --set-selections' wrapper to set/release holds
   * cmdline/apt-get.cc:
     - deprecate mostly undocumented 'markauto' in favor of 'apt-mark'
   * cmdline/apt-cache.cc:
     - deprecate mostly undocumented 'showauto' in favor of 'apt-mark'
   * apt-pkg/pkgcache.cc:
     - really ignore :arch in FindPkg() in non-multiarch environment
   * doc/po/de.po:
     - undo the translation of the command 'dump' in manpage of apt-config
       as report by Burghard Grossmann on debian-l10n-german, thanks!
   * apt-pkg/deb/debmetaindex.cc:
     - do not download TranslationIndex if no Translation-* will be
       downloaded later on anyway (Closes: #624218)
   * test/versions.lst:
     - disable obscure version number tests with versions dpkg doesn't
       allow any more as they don't start with a number
   * apt-pkg/acquire-worker.cc:
     - print filename in the unmatching size warning (Closes: #623137)
   * apt-pkg/acquire-item.cc:
     - apply fix for poorly worded 'locate file' error message from
       Ben Finney, thanks! (Closes: #623171)
   * methods/http.cc:
     - add config option to ignore a closed stdin to be able to easily
       use the method as a simple standalone downloader
     - Location header in redirects should be absolute URI, but some
       servers just send an absolute path so still deal with it properly
     - dequote URL taken from Location in redirects as we will otherwise
       quote an already quoted string in the request later (Closes: #602412)
   * apt-pkg/contrib/netrc.cc:
     - replace non-posix gnu-extension strdupa with strdup
   * apt-pkg/packagemanager.cc:
     - ensure for Multi-Arch:same packages that they are unpacked in
       lock step even in immediate configuration (Closes: #618288)
   * apt-pkg/init.cc:
     - don't set deprecated APT::Acquire::Translation, thanks Jörg Sommer!
   * cmdline/apt-config.cc:
     - show Acquire::Languages and APT::Architectures settings
       in 'dump' (Closes: 626739)
   * apt-pkg/orderlist.cc:
     - ensure that an old version of a package with a provides can
       never satisfy a dependency of a newer version of this package
 .
   [ Michael Vogt ]
   * methods/mirror.cc:
     - ignore lines starting with "#" in the mirror file
     - ignore non http urls in the mirrors
     - append the dist (e.g. sid, wheezy) as a query string when
       asking for a suitable mirror
   * apt-pkg/deb/deblistparser.cc:
     - include all known languages when building the apt cache
       (LP: #794907)
   * apt-pkg/deb/debindexfile.cc:
     - remove some no longer valid checks for "TranslationsAvailable()"
 .
   [ Kenneth Solbø Andersen ]
   * apt-pkg/deb/dpkgpm.cc:
     - set permissions of term.log to root.adm and 644 (LP: #404724)
 .
   [ Chris Leick ]
   * various typo and syntax corrections in doc/*.xml
Checksums-Sha1: 
 eda09b56bb05d43369bb0e29c33dded7e87b278c 1350 apt_0.8.15.dsc
 1347388deab2ae69beb13dd23ddd3c4db6bc5448 3410984 apt_0.8.15.tar.gz
 9dc63fe4ce3cdb49a4ea79706e52d3276dbd8962 239626 apt-doc_0.8.15_all.deb
 2631a6df45c687855f650f96757246731a618b21 736034 libapt-pkg-doc_0.8.15_all.deb
 09090eb74d8a624863ab8e9c40e30743a7526c00 2179248 apt_0.8.15_amd64.deb
 637cc8c5eeb68a3990452f8afaedc7b480467fd7 159446 libapt-pkg-dev_0.8.15_amd64.deb
 77f782340a479036afc2f604c5858f2c0e8af7c2 287552 apt-utils_0.8.15_amd64.deb
 4cb9202da5c132fe8673a22dfcf9a75a2042574f 89378 apt-transport-https_0.8.15_amd64.deb
Checksums-Sha256: 
 ff85a10135f3d48a8aad2a291fb1f90ba5519ebfb7f1b9a1ab6f39836bf2b03d 1350 apt_0.8.15.dsc
 5f63e7e5351c6810bdf07fe077c47df1f832d9be716114a5f9e7960ba4c4cd92 3410984 apt_0.8.15.tar.gz
 bdf19a4d1b39613c8cf8e75f80e37c68db5e14f88fe122cece53231fc01ec6e1 239626 apt-doc_0.8.15_all.deb
 619614bde9fb7a2a9a790fe4f41ae967e4a98745b6eea71d3ec1314d54bed645 736034 libapt-pkg-doc_0.8.15_all.deb
 24a29a7bee6815816eedd0b777b17ec0c58400642a34b23a0598df2dcb7e0678 2179248 apt_0.8.15_amd64.deb
 7c75db98aadaedfdca927263526285bbfec0b852ea4ee4479e01c853f1f7d165 159446 libapt-pkg-dev_0.8.15_amd64.deb
 ef9aa706dcb1bd3ae7d95157f2eef6721311e96ab577ece43af7391a47aff7b3 287552 apt-utils_0.8.15_amd64.deb
 ff9f956b2bf889a105f2e092df25fdb77e09ae0a3290d59ed3b169b0b54decf1 89378 apt-transport-https_0.8.15_amd64.deb
Files: 
 c712d7a78c399b382d382eb87d4e36e0 1350 admin important apt_0.8.15.dsc
 ef4788739826424d45d1434b09108ce2 3410984 admin important apt_0.8.15.tar.gz
 6c28f3cf58b7f4ae7e23bc470315a91c 239626 doc optional apt-doc_0.8.15_all.deb
 8038f309a39918639040d300cb3757c5 736034 doc optional libapt-pkg-doc_0.8.15_all.deb
 dddd5634de7b2a6994859218ff67dc80 2179248 admin important apt_0.8.15_amd64.deb
 579b2157248b42209bfdd8b5507a0fec 159446 libdevel optional libapt-pkg-dev_0.8.15_amd64.deb
 aeb62eb157933efe4483080ee8f78ce8 287552 admin important apt-utils_0.8.15_amd64.deb
 9332d3f68e5bbef1edf53ee2a14ccf0a 89378 admin optional apt-transport-https_0.8.15_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk4KBRIACgkQliSD4VZixzSxIQCfWRBnR33XOvOdRiE4mAIS45uq
SPkAoI1I/XYW/lw4HVingGmzhLij1aKb
=5vDF
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jul 2011 07:41:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:30:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.